{{- $tier := "http" -}}
{{- $fullName := include "frost-server.fullName" (merge (dict "tier" $tier) .) -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ $fullName }}-external
  labels:
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/chart: {{ include "frost-server.chart" . }}
    app: {{ include "frost-server.name" . }}
    component: {{ $tier }}
spec:
  selector:
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/chart: {{ include "frost-server.chart" . }}
    app: {{ include "frost-server.name" . }}
    component: {{ $tier }}
  type: NodePort
  ports:
    - name: http
      port: {{ .Values.frost.httpExternal.ports.http.servicePort }}
      {{- if not .Values.frost.httpExternal.ingress.enabled }}
      nodePort: {{ .Values.frost.httpExternal.ports.http.nodePort }}
      {{- end }}
      targetPort: tomcat
